\begin{tikzpicture}[framed]
  % Define styles
  \tikzset{node distance=0.7cm}
  \tikzset{
    every place/.style={
      minimum size=5mm, thick, draw=black, fill=white
    }
  }
  \tikzset{
    every transition/.style={
      minimum height=8mm, minimum width=0.5mm, thick, draw=black, fill=black
    }
  }
  \tikzset{
    every pre and post/.style={
      ultra thick, draw=black
    }
  }

  % Define places for Path A1
  \node[place, label=above:\textcolor{teal}{$p_{16}$}] (p16) {};
  \node[place, label=above:\textcolor{teal}{$q_{16}$}, right=of p16] (q16) {};
  \node[place, label=above:\textcolor{teal}{$p_{15}$}, right=of q16] (p15) {};
  \node[place, label=above:\textcolor{teal}{$q_{15}$}, right=of p15] (q15) {};
  \node[place, label=above:\textcolor{teal}{$p_{14}$}, right=of q15, tokens=1] (p14) {};
  \node[place, label=above:\textcolor{teal}{$q_{14}$}, right=of p14] (q14) {};
  \node[place, label=above:\textcolor{teal}{$p_{13}$}, right=of q14] (p13) {};
  \node[place, label=above:\textcolor{teal}{$q_{13}$}, right=of p13] (q13) {};
  \node[place, label=above:\textcolor{teal}{$p_{12}$}, right=of q13] (p12) {};
  \node[place, label=above:\textcolor{teal}{$q_{12}$}, right=of p12] (q12) {};
  \node[place, label=above:\textcolor{teal}{$p_{11}$}, right=of q12] (p11) {};
  \node[place, label=above:\textcolor{teal}{$q_{11}$}, right=of p11] (q11) {};
  \node[place, label=above:\textcolor{teal}{$p_{10}$}, right=of q11] (p10) {};

  % Define places for Path A2
  \node[place, label=above:\textcolor{purple}{$p_{20}$}, below=6.5cm of p16] (p20) {};
  \node[place, label=above:\textcolor{purple}{$q_{21}$}, right=of p20] (q21) {};
  \node[place, label=above:\textcolor{purple}{$p_{21}$}, right=of q21] (p21) {};
  \node[place, label=above:\textcolor{purple}{$q_{22}$}, right=of p21] (q22) {};
  \node[place, label=above:\textcolor{purple}{$p_{22}$}, right=of q22] (p22) {};
  \node[place, label=above:\textcolor{purple}{$q_{23}$}, right=of p22] (q23) {};
  \node[place, label=above:\textcolor{purple}{$p_{23}$}, right=of q23, tokens=1] (p23) {};
  \node[place, label=above:\textcolor{purple}{$q_{24}$}, right=of p23] (q24) {};
  \node[place, label=above:\textcolor{purple}{$p_{24}$}, right=of q24] (p24) {};
  \node[place, label=above:\textcolor{purple}{$q_{25}$}, right=of p24] (q25) {};
  \node[place, label=above:\textcolor{purple}{$p_{25}$}, right=of q25] (p25) {};
  \node[place, label=above:\textcolor{purple}{$q_{26}$}, right=of p25] (q26) {};
  \node[place, label=above:\textcolor{purple}{$p_{26}$}, right=of q26] (p26) {};

  % Define places for Path A3
  \node[place, label=above:\textcolor{brown}{$p_{36}$}, below=3cm of p16] (p36) {};
  \node[place, label=above:\textcolor{brown}{$q_{36}$}, right=of p36] (q36) {};
  \node[place, label=above:\textcolor{brown}{$p_{35}$}, right=of q36] (p35) {};
  \node[place, label=above:\textcolor{brown}{$q_{35}$}, right=of p35] (q35) {};
  \node[place, label=above:\textcolor{brown}{$p_{34}$}, right=of q35] (p34) {};
  \node[place, label=above:\textcolor{brown}{$q_{34}$}, right=of p34] (q34) {};
  \node[place, label=above:\textcolor{brown}{$p_{33}$}, right=of q34] (p33) {};
  \node[place, label=above:\textcolor{brown}{$q_{33}$}, right=of p33] (q33) {};
  \node[place, label=above:\textcolor{brown}{$p_{32}$}, right=of q33, tokens=1] (p32) {};
  \node[place, label=above:\textcolor{brown}{$q_{32}$}, right=of p32] (q32) {};
  \node[place, label=above:\textcolor{brown}{$p_{31}$}, right=of q32] (p31) {};
  \node[place, label=above:\textcolor{brown}{$q_{31}$}, right=of p31] (q31) {};
  \node[place, label=above:\textcolor{brown}{$p_{30}$}, right=of q31] (p30) {};

  % Define resources between A1 and A3
  \node[place, label=below:$_{13}r_{34}$, tokens=1] (r1334) [below=1cm of p14] {};
  \node[place, label=below:$_{13}r_{33}$, tokens=1] (r1333) [below=1cm of p13] {};

  % Define resources between A2 and A3
  \node[place, label=below:$_{25}r_{32}$] (r2532) [below=1cm of p31] {};


  % Define transitions with arrows for Path A1
  \node[transition, label=below:\textcolor{teal}{$u_{16}$}] (u16) at ($(p16)!0.5!(q16)$) {}
    edge [post] (p16)
    edge [pre] (q16);
  \node[transition, label=below:\textcolor{teal}{$t_{16}$}] (t16) at ($(q16)!0.5!(p15)$) {}
    edge [post] (q16)
    edge [pre] (p15);
  \node[transition, label=below:\textcolor{teal}{$u_{15}$}] (u15) at ($(p15)!0.5!(q15)$) {}
    edge [post] (p15)
    edge [pre] (q15);
  \node[transition, label=below:\textcolor{teal}{$t_{15}$}] (t15) at ($(q15)!0.5!(p14)$) {}
    edge [post] (q15)
    edge [pre] (p14);
  \node[transition, label=below:\textcolor{teal}{$u_{14}$}] (u14) at ($(p14)!0.5!(q14)$) {}
    edge [post] (p14)
    edge [pre] (q14)
    edge [post] (r1334)
    edge [post] (r1333);
  \node[transition, label=below:\textcolor{teal}{$t_{14}$}] (t14) at ($(q14)!0.5!(p13)$) {}
    edge [post] (q14)
    edge [pre] (p13);
  \node[transition, label=below:\textcolor{teal}{$u_{13}$}] (u13) at ($(p13)!0.5!(q13)$) {}
    edge [post] (p13)
    edge [pre] (q13);
  \node[transition, label=below:\textcolor{teal}{$t_{13}$}] (t13) at ($(q13)!0.5!(p12)$) {}
    edge [post] (q13)
    edge [pre] (p12)
    edge [pre] (r1334)
    edge [pre] (r1333);
  \node[transition, label=below:\textcolor{teal}{$u_{12}$}] (u12) at ($(p12)!0.5!(q12)$) {}
    edge [post] (p12)
    edge [pre] (q12);
  \node[transition, label=below:\textcolor{teal}{$t_{12}$}] (t12) at ($(q12)!0.5!(p11)$) {}
    edge [post] (q12)
    edge [pre] (p11);
  \node[transition, label=below:\textcolor{teal}{$u_{11}$}] (u11) at ($(p11)!0.5!(q11)$) {}
    edge [post] (p11)
    edge [pre] (q11);
  \node[transition, label=below:\textcolor{teal}{$t_{11}$}] (t11) at ($(q11)!0.5!(p10)$) {}
    edge [post] (q11)
    edge [pre] (p10);

  % Define transitions with arrows for Path A3
  \node[transition, label=below:\textcolor{brown}{$u_{36}$}] (u36) at ($(p36)!0.5!(q36)$) {}
    edge [post] (p36)
    edge [pre] (q36);
  \node[transition, label=below:\textcolor{brown}{$t_{36}$}] (t36) at ($(q36)!0.5!(p35)$) {}
    edge [post] (q36)
    edge [pre] (p35);
  \node[transition, label=below:\textcolor{brown}{$u_{35}$}] (u35) at ($(p35)!0.5!(q35)$) {}
    edge [post] (p35)
    edge [pre] (q35)
    edge [post] (r1334);
  \node[transition, label=below:\textcolor{brown}{$t_{35}$}] (t35) at ($(q35)!0.5!(p34)$) {}
    edge [post] (q35)
    edge [pre] (p34);
  \node[transition, label=below:\textcolor{brown}{$u_{34}$}] (u34) at ($(p34)!0.5!(q34)$) {}
    edge [post] (p34)
    edge [pre] (q34)
    edge [post] (r1333);
  \node[transition, label=below:\textcolor{brown}{$t_{34}$}] (t34) at ($(q34)!0.5!(p33)$) {}
    edge [post] (q34)
    edge [pre] (p33)
    edge [pre] (r1334);
  \node[transition, label=below:\textcolor{brown}{$u_{33}$}] (u33) at ($(p33)!0.5!(q33)$) {}
    edge [post] (p33)
    edge [pre] (q33)
    edge [post] (r2532);
  \node[transition, label=below:\textcolor{brown}{$t_{33}$}] (t33) at ($(q33)!0.5!(p32)$) {}
    edge [post] (q33)
    edge [pre] (p32)
    edge [pre] (r1333);
  \node[transition, label=below:\textcolor{brown}{$u_{32}$}] (u32) at ($(p32)!0.5!(q32)$) {}
    edge [post] (p32)
    edge [pre] (q32);
  \node[transition, label=below:\textcolor{brown}{$t_{32}$}] (t32) at ($(q32)!0.5!(p31)$) {}
    edge [post] (q32)
    edge [pre] (p31)
    edge [pre] (r2532);
  \node[transition, label=below:\textcolor{brown}{$u_{31}$}] (u31) at ($(p31)!0.5!(q31)$) {}
    edge [post] (p31)
    edge [pre] (q31);
  \node[transition, label=below:\textcolor{brown}{$t_{31}$}] (t31) at ($(q31)!0.5!(p30)$) {}
    edge [post] (q31)
    edge [pre] (p30);

  % Define transitions with arrows for Path A2
  \node[transition, label=below:\textcolor{purple}{$t_{21}$}] (t21) at ($(p20)!0.5!(q21)$) {}
    edge [post] (q21)
    edge [pre] (p20);
  \node[transition, label=below:\textcolor{purple}{$u_{21}$}] (u21) at ($(q21)!0.5!(p21)$) {}
    edge [post] (p21)
    edge [pre] (q21);
  \node[transition, label=below:\textcolor{purple}{$t_{22}$}] (t22) at ($(p21)!0.5!(q22)$) {}
    edge [post] (q22)
    edge [pre] (p21);
  \node[transition, label=below:\textcolor{purple}{$u_{22}$}] (u22) at ($(q22)!0.5!(p22)$) {}
    edge [post] (p22)
    edge [pre] (q22);
  \node[transition, label=below:\textcolor{purple}{$t_{23}$}] (t23) at ($(p22)!0.5!(q23)$) {}
    edge [post] (q23)
    edge [pre] (p22);
  \node[transition, label=below:\textcolor{purple}{$u_{23}$}] (u23) at ($(q23)!0.5!(p23)$) {}
    edge [post] (p23)
    edge [pre] (q23);
  \node[transition, label=below:\textcolor{purple}{$t_{24}$}] (t24) at ($(p23)!0.5!(q24)$) {}
    edge [post] (q24)
    edge [pre] (p23);
  \node[transition, label=below:\textcolor{purple}{$u_{24}$}] (u24) at ($(q24)!0.5!(p24)$) {}
    edge [post] (p24)
    edge [pre] (q24);
  \node[transition, label=below:\textcolor{purple}{$t_{25}$}] (t25) at ($(p24)!0.5!(q25)$) {}
    edge [post] (q25)
    edge [pre] (p24)
    edge [pre] (r2532);
  \node[transition, label=below:\textcolor{purple}{$u_{25}$}] (u25) at ($(q25)!0.5!(p25)$) {}
    edge [post] (p25)
    edge [pre] (q25);
  \node[transition, label=below:\textcolor{purple}{$t_{26}$}] (t26) at ($(p25)!0.5!(q26)$) {}
    edge [post] (q26)
    edge [pre] (p25);
  \node[transition, label=below:\textcolor{purple}{$u_{26}$}] (u26) at ($(q26)!0.5!(p26)$) {}
    edge [post] (p26)
    edge [pre] (q26)
    edge [post] (r2532);
\end{tikzpicture}

